Bug 802562 - Scalability Testing: 99 applications/instances created - Monitor Overview shows 0 applications/instances (doc access issue?)
Scalability Testing: 99 applications/instances created - Monitor Overview sho...
Status: CLOSED UPSTREAM
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Linux
high Severity medium
: rc
: ---
Assigned To: Jaromir Coufal
wes hayutin
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-12 17:07 EDT by Ronelle Landy
Modified: 2012-12-20 11:01 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:01:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Overview zero instances (187.83 KB, image/png)
2012-03-12 17:09 EDT, Ronelle Landy
no flags Details

  None (edit)
Description Ronelle Landy 2012-03-12 17:07:37 EDT
Description of problem:

Attempted to launch 170 instances (using the mock provider) in a scalability test. The 'Your Cloud Resource Zones' section shows that 99 of these instance were successfully launched. The 'Monitor' tab 'Overview' section however, shows 0 applications and 0 instances. ( See attached screenshot).


Steps to Reproduce:
1. Add 200 users to the aeolus database
2. Create a mock provider account in conductor
3. Build and push one image to the mock provider
3. (Using jmeter) 170 users concurrently log in, access the image, create a blueprint and launch that image (with hardware profile) to the mock provider
4. See that some instance launch successfully (others fail - Response message: Service Temporarily Unavailable messages - to be logged in another BZ)
5. Click on the Monitor tabe (/conductor/pools)
6. Note that the 'Your Cloud Resource Zones' section shows that 99 of these instance were successfully launched but the Overview section shows 0 applications or instances ( see attached screenshot).
  

Versions tested:

rpm -qa |grep aeolus
rubygem-aeolus-cli-0.3.0-14.el6.noarch
aeolus-configure-2.5.0-18.el6.noarch
aeolus-all-0.8.0-41.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-conductor-0.8.0-41.el6.noarch
aeolus-conductor-daemons-0.8.0-41.el6.noarch
aeolus-conductor-doc-0.8.0-41.el6.noarch
Comment 1 Ronelle Landy 2012-03-12 17:09:57 EDT
Created attachment 569504 [details]
Overview zero instances
Comment 2 Scott Seago 2012-03-13 00:42:47 EDT
Were these instances launched by the current logged-in user (Administrator) or by another user? the 'monitor' overview is supposed to show "My Applications", etc. -- i.e. just those launched by the current user, so if these weren't logged in by the admin, this isn't a  bug (except perhaps in the docs -- we should make the distinctioin clearer here vs. the Zone summary page that lists all the instances in the zone.
Comment 3 Ronelle Landy 2012-03-13 09:11:40 EDT
Scott, thanks for pointing out that difference.

Then Conductor does the right thing - the 'Monitor Overview' panel does reflect the instances launched by the user logged in.

I didn't think to go to the documentation to check this difference (at first) - so we can chalk this one up to 'user error' or 'user ignorance' however, I didn't see any help links in the conductor GUI - which are common in many technical GUI applications - and would have been useful in this case (and others).

Leaving this BZ open (for the moment) if dev decides there is more to do wrt adding easier, or more pointed, access to the doc. If not, I'm ok with closing this BZ 'NOTABUG'.
Comment 4 Scott Seago 2012-03-13 09:38:35 EDT
Yes, this is the second bug opened for this same issue, so we definitely need to be clearer either in docs or on the UI itself -- it's rather confusing as it is right now.
Comment 6 Angus Thomas 2012-12-20 10:58:23 EST
Increasing the usability of the UI should be addressed as part of the overall dashboard redesign.

Note You need to log in before you can comment on or make changes to this bug.